Loading...
Searching...
No Matches
version.h File Reference
libavutil

Libavutil version macros. More...

`#include "macros.h"`

Go to the source code of this file.

## Macros

#define | AV_VERSION_INT(a, b, c) ((a)<<16 | (b)<<8 | (c))
#define | AV_VERSION_DOT(a, b, c) a ##.## b ##.## c
#define | AV_VERSION(a, b, c) AV_VERSION_DOT(a, b, c)
#define | AV_VERSION_MAJOR(a) ((a) >> 16)
| Extract version components from the full AV_VERSION_INT int as returned by functions like avformat_version() and avcodec_version()
#define | AV_VERSION_MINOR(a) (((a) & 0x00FF00) >> 8)
#define | AV_VERSION_MICRO(a) ((a) & 0xFF)
#define | LIBAVUTIL_VERSION_MAJOR 59
#define | LIBAVUTIL_VERSION_MINOR 39
#define | LIBAVUTIL_VERSION_MICRO 100
#define | LIBAVUTIL_VERSION_INT
#define | LIBAVUTIL_VERSION
#define | LIBAVUTIL_BUILD LIBAVUTIL_VERSION_INT
#define | LIBAVUTIL_IDENT "Lavu" AV_STRINGIFY(LIBAVUTIL_VERSION)
#define | FF_API_HDR_VIVID_THREE_SPLINE (LIBAVUTIL_VERSION_MAJOR < 60)
#define | FF_API_FRAME_PKT (LIBAVUTIL_VERSION_MAJOR < 60)
#define | FF_API_INTERLACED_FRAME (LIBAVUTIL_VERSION_MAJOR < 60)
#define | FF_API_FRAME_KEY (LIBAVUTIL_VERSION_MAJOR < 60)
#define | FF_API_PALETTE_HAS_CHANGED (LIBAVUTIL_VERSION_MAJOR < 60)
#define | FF_API_VULKAN_CONTIGUOUS_MEMORY (LIBAVUTIL_VERSION_MAJOR < 60)
#define | FF_API_H274_FILM_GRAIN_VCS (LIBAVUTIL_VERSION_MAJOR < 60)
#define | FF_API_MOD_UINTP2 (LIBAVUTIL_VERSION_MAJOR < 60)
#define | FF_API_RISCV_FD_ZBA (LIBAVUTIL_VERSION_MAJOR < 60)
#define | FF_API_VULKAN_FIXED_QUEUES (LIBAVUTIL_VERSION_MAJOR < 60)

## Detailed Description

Libavutil version macros.

Definition in file version.h.